Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 622779 - zlib has fence-post error in adler32_combine
zlib has fence-post error in adler32_combine
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: zlib (Show other bugs)
5.0
All Linux
high Severity medium
: rc
: ---
Assigned To: Ivana Varekova
qe-baseos-daemons
: EasyFix, Patch, Upstream
Depends On:
Blocks: 590060
  Show dependency treegraph
 
Reported: 2010-08-10 08:04 EDT by Martin Poole
Modified: 2018-11-14 13:51 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When used to combine two Adler-32 checksums, the adler32_combine() function could occasionally produce an incorrect result. With this update, an upstream patch has been applied to fix the underlying algorithm, and the adler32_combine() function no longer returns incorrect checksums.
Story Points: ---
Clone Of:
: 622781 (view as bug list)
Environment:
Last Closed: 2011-05-11 03:24:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for adler32_combine bug (735 bytes, patch)
2010-08-10 08:07 EDT, Martin Poole
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0503 normal SHIPPED_LIVE zlib bug fix update 2011-05-11 03:24:16 EDT

  None (edit)
Description Martin Poole 2010-08-10 08:04:28 EDT
Description of problem:

zlib as shipped has a fence-post error in the adler32_combine routine which can occasionally result in an incorrect checksum being calculated

This has been corrected in zlib-1.2.4

Version-Release number of selected component (if applicable):

zlib-1.2.3-3


upstream changelog simply reads

  "- Fix bug in adler32_combine() [Zhu]"
Comment 2 Martin Poole 2010-08-10 08:07:35 EDT
Created attachment 437860 [details]
patch for adler32_combine bug
Comment 13 Jaromir Hradilek 2011-04-18 08:43:04 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
When used to combine two Adler-32 checksums, the adler32_combine() function could occasionally produce an incorrect result. With this update, an upstream patch has been applied to fix the underlying algorithm, and the adler32_combine() function no longer returns incorrect checksums.
Comment 15 errata-xmlrpc 2011-05-11 03:24:32 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0503.html

Note You need to log in before you can comment on or make changes to this bug.